package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum CourseViewTypeEnum implements BaseEnum<Integer, CourseViewTypeEnum> {
    COURSE_FEE(0, "课程收费", 2),
    AMR(1, "器乐练习系统", 3),
    MEMBER_FEE(2, "会员收费", 4);

    private Integer code;

    private String msg;

    private Integer contractVersion;

    CourseViewTypeEnum(Integer code, String msg, Integer contractVersion) {
        this.code = code;
        this.msg = msg;
        this.contractVersion = contractVersion;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }

    public Integer getContractVersion() {
        return contractVersion;
    }

    public void setContractVersion(Integer contractVersion) {
        this.contractVersion = contractVersion;
    }
}
